CREATE TABLE pg_catalog.pg_class (
	oid OID NOT NULL,
	relname NAME NOT NULL,
	relnamespace OID NULL,
	reltype OID NULL,
	reloftype OID NULL,
	relowner OID NULL,
	relam OID NULL,
	relfilenode OID NULL,
	reltablespace OID NULL,
	relpages INT4 NULL,
	reltuples FLOAT4 NULL,
	relallvisible INT4 NULL,
	reltoastrelid OID NULL,
	relhasindex BOOL NULL,
	relisshared BOOL NULL,
	relpersistence "char" NULL,
	relistemp BOOL NULL,
	relkind "char" NULL,
	relnatts INT2 NULL,
	relchecks INT2 NULL,
	relhasoids BOOL NULL,
	relhaspkey BOOL NULL,
	relhasrules BOOL NULL,
	relhastriggers BOOL NULL,
	relhassubclass BOOL NULL,
	relfrozenxid INT8 NULL,
	relacl STRING[] NULL,
	reloptions STRING[] NULL,
	relforcerowsecurity BOOL NULL,
	relispartition BOOL NULL,
	relispopulated BOOL NULL,
	relreplident "char" NULL,
	relrewrite OID NULL,
	relrowsecurity BOOL NULL,
	relpartbound STRING NULL,
	INDEX pg_class_oid_idx (oid ASC) STORING (relname, relnamespace, reltype, reloftype, relowner, relam, relfilenode, reltablespace, relpages, reltuples, relallvisible, reltoastrelid, relhasindex, relisshared, relpersistence, relistemp, relkind, relnatts, relchecks, relhasoids, relhaspkey, relhasrules, relhastriggers, relhassubclass, relfrozenxid, relacl, reloptions, relforcerowsecurity, relispartition, relispopulated, relreplident, relrewrite, relrowsecurity, relpartbound)
);

CREATE TABLE pg_catalog.pg_namespace (
	oid OID NULL,
	nspname NAME NOT NULL,
	nspowner OID NULL,
	nspacl STRING[] NULL
);

CREATE TABLE pg_catalog.pg_description (
	objoid OID NULL,
	classoid OID NULL,
	objsubid INT4 NULL,
	description STRING NULL
);

CREATE TABLE pg_catalog.pg_attribute (
	attrelid OID NOT NULL,
	attname NAME NULL,
	atttypid OID NULL,
	attstattarget INT4 NULL,
	attlen INT2 NULL,
	attnum INT2 NULL,
	attndims INT4 NULL,
	attcacheoff INT4 NULL,
	atttypmod INT4 NULL,
	attbyval BOOL NULL,
	attstorage "char" NULL,
	attalign "char" NULL,
	attnotnull BOOL NULL,
	atthasdef BOOL NULL,
	attidentity "char" NULL,
	attgenerated "char" NULL,
	attisdropped BOOL NULL,
	attislocal BOOL NULL,
	attinhcount INT4 NULL,
	attcollation OID NULL,
	attacl STRING[] NULL,
	attoptions STRING[] NULL,
	attfdwoptions STRING[] NULL,
	atthasmissing BOOL NULL,
	INDEX pg_attribute_attrelid_idx (attrelid ASC) STORING (attname, atttypid, attstattarget, attlen, attnum, attndims, attcacheoff, atttypmod, attbyval, attstorage, attalign, attnotnull, atthasdef, attidentity, attgenerated, attisdropped, attislocal, attinhcount, attcollation, attacl, attoptions, attfdwoptions, atthasmissing)
);

CREATE TABLE pg_catalog.pg_type (
	oid OID NOT NULL,
	typname NAME NOT NULL,
	typnamespace OID NULL,
	typowner OID NULL,
	typlen INT2 NULL,
	typbyval BOOL NULL,
	typtype "char" NULL,
	typcategory "char" NULL,
	typispreferred BOOL NULL,
	typisdefined BOOL NULL,
	typdelim "char" NULL,
	typrelid OID NULL,
	typelem OID NULL,
	typarray OID NULL,
	typinput REGPROC NULL,
	typoutput REGPROC NULL,
	typreceive REGPROC NULL,
	typsend REGPROC NULL,
	typmodin REGPROC NULL,
	typmodout REGPROC NULL,
	typanalyze REGPROC NULL,
	typalign "char" NULL,
	typstorage "char" NULL,
	typnotnull BOOL NULL,
	typbasetype OID NULL,
	typtypmod INT4 NULL,
	typndims INT4 NULL,
	typcollation OID NULL,
	typdefaultbin STRING NULL,
	typdefault STRING NULL,
	typacl STRING[] NULL,
	INDEX pg_type_oid_idx (oid ASC) STORING (typname, typnamespace, typowner, typlen, typbyval, typtype, typcategory, typispreferred, typisdefined, typdelim, typrelid, typelem, typarray, typinput, typoutput, typreceive, typsend, typmodin, typmodout, typanalyze, typalign, typstorage, typnotnull, typbasetype, typtypmod, typndims, typcollation, typdefaultbin, typdefault, typacl)
);
